### Class

# RB CellRendererPixbuf

#### Description [src]

    class RB.CellRendererPixbuf : Gtk.CellRendererPixbuf
    {
      /* No available fields */
    }

This is similar to `GtkCellRendererPixbuf`, except that it also emits a signal when the pixbuf is clicked on, and it can only use pixbuf objects.

#### Ancestors

- GtkCellRendererPixbuf
- GtkCellRenderer
- GInitiallyUnowned
- GObject

#### Constructors

###### rb_cell_renderer_pixbuf_new

Creates a new `RBCellRendererPixbuf`.

#### Instance methods

##### Methods inherited from GtkCellRenderer (24)

Please see GtkCellRenderer for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from GtkCellRendererPixbuf (10)

###### Gtk.CellRendererPixbuf:follow-state

Specifies whether the rendered pixbuf should be colorized according to the `GtkCellRendererState`.

###### Gtk.CellRendererPixbuf:gicon

The GIcon representing the icon to display. If the icon theme is changed, the image will be updated automatically.

###### Gtk.CellRendererPixbuf:icon-name

The name of the themed icon to display. This property only has an effect if not overridden by “stock_id” or “pixbuf” properties.

###### Gtk.CellRendererPixbuf:pixbuf

No description available.

###### Gtk.CellRendererPixbuf:pixbuf-expander-closed

No description available.

###### Gtk.CellRendererPixbuf:pixbuf-expander-open

No description available.

###### Gtk.CellRendererPixbuf:stock-detail

No description available.

###### Gtk.CellRendererPixbuf:stock-id

No description available.

###### Gtk.CellRendererPixbuf:stock-size

The `GtkIconSize` value that specifies the size of the rendered icon.

###### Gtk.CellRendererPixbuf:surface

No description available.

##### Properties inherited from GtkCellRenderer (16)

###### Gtk.CellRenderer:cell-background

No description available.

###### Gtk.CellRenderer:cell-background-gdk

Cell background as a `GdkColor`.

###### Gtk.CellRenderer:cell-background-rgba

Cell background as a `GdkRGBA`.

###### Gtk.CellRenderer:cell-background-set

No description available.

###### Gtk.CellRenderer:editing

No description available.

###### Gtk.CellRenderer:height

No description available.

###### Gtk.CellRenderer:is-expanded

No description available.

###### Gtk.CellRenderer:is-expander

No description available.

###### Gtk.CellRenderer:mode

No description available.

###### Gtk.CellRenderer:sensitive

No description available.

###### Gtk.CellRenderer:visible

No description available.

###### Gtk.CellRenderer:width

No description available.

###### Gtk.CellRenderer:xalign

No description available.

###### Gtk.CellRenderer:xpad

No description available.

###### Gtk.CellRenderer:yalign

No description available.

###### Gtk.CellRenderer:ypad

No description available.

#### Signals

###### RB.CellRendererPixbuf::pixbuf-clicked

Emitted when the user clicks on the pixbuf cell.

##### Signals inherited from GtkCellRenderer (2)

###### GtkCellRenderer::editing-canceled

This signal gets emitted when the user cancels the process of editing a cell. For example, an editable cell renderer could be written to cancel editing when the user presses Escape.

###### GtkCellRenderer::editing-started

This signal gets emitted when a cell starts to be edited. The intended use of this signal is to do special setup on `editable`, e.g. adding a `GtkEntryCompletion` or setting up additional columns in a `GtkComboBox`.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBCellRendererPixbufClass {
      GtkCellRendererPixbufClass parent_class;
      void (* pixbuf_clicked) (
        RBCellRendererPixbuf* renderer,
        GtkTreePath* path
      );

    }

No description available.

###### Class members

`parent_class: GtkCellRendererPixbufClass`

  No description available.

`pixbuf_clicked: void (* pixbuf_clicked) ( RBCellRendererPixbuf* renderer, GtkTreePath* path )`

  No description available.

#### Virtual methods

###### RB.CellRendererPixbufClass.pixbuf_clicked

No description available.